Bug 169389 - Firefox/Thunderbird fail to build with system GCC
Firefox/Thunderbird fail to build with system GCC
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 04:50 UTC by Alexander Kabaev
Modified: 2012-07-27 14:29 UTC (History)
0 users

See Also:


Attachments
file.diff (2.06 KB, patch)
2012-06-25 04:50 UTC, Alexander Kabaev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kabaev freebsd_committer 2012-06-25 04:50:04 UTC
	Thunderbird and Firefox both fail to build due to failure similar
	to what is explained in this Mozilla bug report:
        
	https://bugzilla.mozilla.org/show_bug.cgi?id=732340

Fix: Attached patch taken verbatim from the bugzilla and expanded a bit 
to include explicit instantiation of

template int SortedArrayOf<RangeRecord>::search<unsigned int>(unsigned int const &) const;

Apparently, other people get other symbols undefined, so I left all four in.
How-To-Repeat: 	Just try to build port using system GCC with no special options.
Comment 1 Alex Kozlov freebsd_committer 2012-06-25 05:57:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer.
Comment 2 Beat Gaetzi freebsd_committer 2012-06-25 08:53:55 UTC
State Changed
From-To: open->closed

A fix for this has been committed a couple of days ago. Please update 
your portstree and try to build them again. Thanks.
Comment 3 Alexander Kabaev freebsd_committer 2012-06-25 14:28:40 UTC
State Changed
From-To: closed->open

'Fix build with base gcc by lowering the optimization level' 

This counts as a proper fix somehow?
Comment 4 c.kworr 2012-06-25 14:51:59 UTC
Hi all.

GCC 4.2.1 is rather a nice mess and known for generation of bad code 
with higher optimization levels. So yes, this looks quite logical for me.

-- 
Sphinx of black quartz judge my vow.
Comment 5 kabaev 2012-06-25 19:00:50 UTC
On Mon, Jun 25, 2012 at 04:51:59PM +0300, Volodymyr Kostyrko wrote:
> Hi all.
> 
> GCC 4.2.1 is rather a nice mess and known for generation of bad code 
> with higher optimization levels. So yes, this looks quite logical for me.
> 
> -- 
> Sphinx of black quartz judge my vow.


Every compiler and compiler version has bugs. Should we make ports
_never_ use anything more than -O just in case? After all, that was
the official project stance on toolchain for a while.

-- 
Alexander Kabaev
Comment 6 Alexander Kabaev freebsd_committer 2012-06-26 23:02:43 UTC
State Changed
From-To: open->closed

No point arguing.
Comment 7 Beat Gaetzi freebsd_committer 2012-06-27 08:44:41 UTC
State Changed
From-To: closed->open

Re-open.
Comment 8 Florian Smeets freebsd_committer 2012-07-27 14:29:44 UTC
State Changed
From-To: open->closed

Builds fine with base gcc again.